import { Connection, ConnectionMode, ElementId, HandleType, ValidConnectionFunc } from "../types";
declare type Result = {
    elementBelow: Element | null;
    isValid: boolean;
    connection: Connection;
    isHoveringHandle: boolean;
};
export declare const checkElementBelowIsValid: (event: MouseEvent, connectionMode: ConnectionMode, isTarget: boolean, nodeId: ElementId, handleId: ElementId | null, isValidConnection: ValidConnectionFunc, doc: Document) => Result;
declare const _default: () => (event: MouseEvent, handleId: ElementId, nodeId: ElementId, isTarget: boolean, isValidConnection?: ValidConnectionFunc, elementEdgeUpdaterType?: HandleType | undefined, onEdgeUpdate?: ((connection: Connection) => void) | undefined) => void;
export default _default;
